Subject: Mail::ListDetector - please test

From: Michael Stevens <[email-masked]>
Date: Sun, 21 Jan 2001 17:07:23 +0000

Hi.

I have an (as yet unreleased) module called Mail::ListDetector,
which takes a Mail::Internet object, and attempts to tell you if the
message involved was posted to a mailing list, and if so, attempts to
get some details about that list.

I need testers - in particular, see if it builds and passes tests for
you, and throw lots of messages at the sample script and see if you
can get it to be inaccurate for any of them. If you can, please send
me the message in question. (if you don't want to give out the content,
just headers should do).

Currently it should know about majordomo, smartlist, ezmlm, and mailman,
although the majordomo and smartlist guessers are a bit experimental.

It's at:

http://www.etla.org/Mail-ListDetector-0.05.tar.gz

Michael